<?php
/**
 * untitledModel - class.HDCompressor.php
 *
 * $Id$
 *
 * This file is part of untitledModel.
 *
 * Automatically generated on 14.05.2012, 13:34:42 with ArgoUML PHP module 
 * (last revised $Date: 2010-01-12 20:14:42 +0100 (Tue, 12 Jan 2010) $)
 *
 * @author firstname and lastname of author, <author@example.org>
 */

if (0 > version_compare(PHP_VERSION, '5')) {
    die('This file was generated for PHP 5');
}

/**
 * include HDData
 *
 * @author firstname and lastname of author, <author@example.org>
 */
if (!class_exists('UHDData')) {
	require('class.UHDData.php');
}

/**
 * Short description of class HDCompressor
 *
 * Used to genearate addresses
 *
 * <?php
require_once 'util/data_interface.php';

$addresses = array(
    'AnalogData.suction_pressure' => 'suction_pressure',
    'AnalogData.suction_temperature' => 'suction_temperature',
    'CalculatedData.suction_superheat' => 'suction_superheat',
    'AnalogData.discharge_pressure' => 'discharge_pressure',
    'AnalogData.discharge_temperature' => 'discharge_temperature',
    'CalculatedData.discharge_superheat' => 'discharge_superheat',
    'AnalogData.oil_pressure_compressor' => 'oil_pressure',
    'AnalogData.oil_temperature_compressor' => 'oil_temperature',
    'AnalogData.oil_separator_temperature' => 'seperator_temperature',
    'CalculatedData.filterdifferentialpressure' => 'filter_differential',
    'CalculatedData.current_regulation_setpoint' => 'setpoint',
    'AnalogData.capacity_slide_position' => 'capacity',
    'AnalogData.motor_current' => 'motor_current',
    'TimerData.recycle_delay_timer' => 'recycle_delay_timer',
    'CalculatedData.percent_of_full_load_amps' => 'percent_of_full_load_amps',
    'SetPointData.run_hours' => 'run_hours',            
    'CalculatedData.displayed_kilowatts' => 'displayed_kilowatts',
    'CalculatedData.oldest_uncleared_safety' => 'oldest_uncleared_safety',
    'ModeData.shutdown' => 'shutdown_alarm',
    'ModeData.warning' => 'warning_alarm'
);



$dataInterface = new DataInterface();

echo "public \$addresses = array( \n";

foreach ($addresses as $address => $key) {
    $genAddress = $dataInterface->socket->buildAddress($address, 'r', 1);
    echo "    '$key' => '$genAddress', \n";
}

echo ');';
echo "\n\n";
 *
 * @access public
 * @author firstname and lastname of author, <author@example.org>
 */
class UHDCompressor
    extends UHDData
{
	public $table = 'compressor_info';
    public $product = 'compressor';
        
    public $addresses = array( 
        'suction_pressure' => 'r:0:2:0:0:1', 
        'suction_temperature' => 'r:0:11:0:0:1', 
        'suction_superheat' => 'r:2:19:0:0:1', 
        'discharge_pressure' => 'r:0:3:0:0:1', 
        'discharge_temperature' => 'r:0:12:0:0:1', 
        'discharge_superheat' => 'r:2:20:0:0:1', 
        'oil_pressure' => 'r:0:4:0:0:1', 
        'oil_temperature' => 'r:0:13:0:0:1', 
        'seperator_temperature' => 'r:0:14:0:0:1', 
        'filter_differential' => 'r:2:6:0:0:1', 
        'setpoint' => 'r:2:61:0:0:1', 
        'capacity' => 'r:0:0:0:0:1', 
        'motor_current' => 'r:0:27:0:0:1', 
        'recycle_delay_timer' => 'r:5:23:0:0:1', 
        'percent_of_full_load_amps' => 'r:2:21:0:0:1', 
        'run_hours' => 'r:4:122:0:0:1', 
        'displayed_kilowatts' => 'r:2:114:0:0:1',
        'oldest_uncleared_safety' => 'r:2:32:0:0:1', 
        'status' => 'r:3:0:0:0:1',
        'shutdown_alarm' => 'r:3:4:0:0:1', 
        'warning_alarm' => 'r:3:5:0:0:1',
    );

	public function __construct($ipAddress, $webServerPort, $id)
	{
		parent::__construct($ipAddress, $webServerPort, $id);
	}
    
    /**
     * Get the current status of the panel
     * This will return a message and a color of where things
     * are Shutdown = 175, Warning = 177, Normal = 458
     *
     * @param array $data to use
     * @return array title, message, color
     */
    private function panelStatus($data)
    {
        $return = array(
            'title' => '',
            'message' => '',
           // 'color' => ''
        );

        $panelStatus = $data['oldest_uncleared_safety'];

        if ($panelStatus == 0) {
            $return['title'] = DisplayText::read(2602);
            //$return['color'] = 'green';
        } else {
            $shutdownMessage = $data['shutdown_alarm'];
            $warningMessage = $data['warning_alarm'];

            if ($shutdownMessage == 0) {
                $return['title'] = DisplayText::read(177);
                $return['message'] = DisplayText::read($warningMessage) . '&nbsp;';
                //$return['color'] = 'orange';
            } else {
                $return['title'] = DisplayText::read(175);
                $return['message'] = DisplayText::read($shutdownMessage) . '&nbsp;';
                //$return['color'] = 'red';
            }

            $return['message'] = DisplayText::read($panelStatus);
        }

        return $return;
    }    
		

    /**
     * Short description of method refreshData
     *
     * @access public
     * @author firstname and lastname of author, <author@example.org>
     * @return mixed
     */
    public function refreshData()
    {
        echo "\nRefreshing data for UHD";
        $receivedData = curl_exec($this->curlConnection);


        if(empty($receivedData)) {
            $this->updateData = false;
            return false;
        }
        
        //$i = 0;
        //foreach ($receivedData as $address => &$value) {
        //    $value = $returnValues[$i];
        //    $i++;
        //}

        $parsedData = json_decode($receivedData, true);



        echo "\nUpdating Panel Status";
        $panelStatus = $this->panelStatus($parsedData);

        unset($parsedData['oldest_uncleared_safety'], $parsedData['shutdown_alarm'], $parsedData['warning_alarm']);

        $parsedData['alarm_status'] = $panelStatus['title'];
        $parsedData['alarm_message'] = $panelStatus['title'] . ((!empty($panelStatus['message'])) ? ' - ' . $panelStatus['message'] : '');

        $parsedData['status'] = ($parsedData['status']==0)?1:2;
        $parsedData['last_updated'] = date('Y-m-d H:i:s'); //repeated in class.Data
        
    	$this->updateData = $parsedData;
    }

    public function logThis(){


    }
    
} /* end of class HDCompressor */

?>