<?php
/**
 * untitledModel - class.HDCompressor.php
 *
 * $Id$
 *
 * This file is part of untitledModel.
 *
 * Automatically generated on 14.05.2012, 13:34:42 with ArgoUML PHP module 
 * (last revised $Date: 2010-01-12 20:14:42 +0100 (Tue, 12 Jan 2010) $)
 *
 * @author firstname and lastname of author, <author@example.org>
 */

if (0 > version_compare(PHP_VERSION, '5')) {
    die('This file was generated for PHP 5');
}

/**
 * include HDData
 *
 * @author firstname and lastname of author, <author@example.org>
 */
if (!class_exists('Data')) {
	require('class.Data.php');
}

/**
 * Short description of class HDData
 *
 * @access public
 * @author firstname and lastname of author, <author@example.org>
 */
class UHDData
    extends Data
{
	protected $socket;
	
	public function __construct($ipAddress, $webServerPort, $id)
	{
		$this->url = 'http://'.$ipAddress.':'.$webServerPort.'/sipdata';
		parent::__construct($ipAddress, $webServerPort, $id);

	}


    public function connect()
    {
        $this->curlConnection = curl_init();

        curl_setopt($this->curlConnection, CURLOPT_URL, $this->url);
        curl_setopt($this->curlConnection, CURLOPT_HTTPGET, 1);
        curl_setopt($this->curlConnection, CURLOPT_CONNECTTIMEOUT, 5);
        curl_setopt($this->curlConnection, CURLOPT_TIMEOUT, 5);
        curl_setopt($this->curlConnection, CURLOPT_RETURNTRANSFER, 1);
    }

	protected function reload_events ($ipAddress)
	{

	}

	private function parse_events ()
	{

	}

    public function requestData($data)
    {
        echo $this->url . "\n";
        curl_setopt($this->curlConnection, CURLOPT_HTTPGET, 1);
        $response = curl_exec($this->curlConnection);

        if (!$response) {

            return false;
        }

        return json_decode($response, true);
    }


    protected function reload_alarms ($ipAddress)
	{

	    if($this->product === "condenservessel"){

            $this->database->query("DELETE FROM alarms WHERE panel_id={$this->panelID}");

            if ($this->updateData['alarm_status']=='Alarm') {
                $alarms = $this->parse_alarms_cv();

                $i = 0;
                if (is_array($alarms)) {
                    foreach ($alarms as $alarm) {

                        $this->database->query("REPLACE INTO alarms (inc,panel_id,message,date) VALUES ({$i},{$this->panelID},'{$alarm}',0)");
                        $i++;
                    }
                }
            }

        }
        else if($this->product === "engineroom"){

            $this->database->query("DELETE FROM alarms WHERE panel_id={$this->panelID}");

            if ($this->updateData['alarm_status']=='Alarm' || $this->updateData['alarm_status']=='Warning') {
                $alarms = $this->parse_alarms_en();

                $i = 0;
                if (is_array($alarms)) {
                    foreach ($alarms as $alarm) {

                        $this->database->query("REPLACE INTO alarms (inc,panel_id,message,date) VALUES ({$i},{$this->panelID},'{$alarm}',0)");
                        $i++;
                    }
                }
            }

        }

        else if($this->product === "evaporator") {

            $this->database->query("DELETE FROM alarms WHERE panel_id={$this->panelID}");

            if ($this->updateData['alarm_status']=='Shutdown' || $this->updateData['alarm_status']=='Warning') {

                $alarms = $this->parse_alarms_ev();

                $i = 0;
                if (is_array($alarms)) {
                    foreach ($alarms as $alarm) {

                        $this->database->query("REPLACE INTO alarms (inc,panel_id,message,date) VALUES ({$i},{$this->panelID},'{$alarm}',0)");
                        $i++;
                    }
                }
            }
        }

        else if($this->product === "acuair"){

            $this->database->query("DELETE FROM alarms WHERE panel_id={$this->panelID}");

            if ($this->updateData['alarm_status']=='Alarm' || $this->updateData['alarm_status']=='Warning') {
                $alarms = $this->parse_alarms_acu();

                $i = 1;
                if (is_array($alarms)) {
                    foreach ($alarms as $alarm) {
                        $this->database->query("REPLACE INTO alarms (inc,panel_id,message,date) VALUES ({$i},{$this->panelID},'{$alarm}',0)");
                        $i++;
                    }
                }
            }

        }

        else {

            shell_exec("/usr/bin/scp -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i /var/sip/quantum-hd root@$ipAddress:/uniq/data/alarms.txt /cache/");
            $alarms = $this->parse_alarms();

            $query = "DELETE FROM alarms WHERE panel_id={$this->panelID}";
            $this->database->query($query);

            $i = 0;
            if (is_array($alarms)) {
                foreach ($alarms as $alarm) {
                        $this->database->query("REPLACE INTO alarms (inc,panel_id,message,date) VALUES ({$i},{$this->panelID},'{$alarm[0]}','{$alarm[1]}')");
                        $i++;
                }
            }
        }
	}


    private function parse_alarms_ev (){

        $alarmList = array();

        if($this->updateData['alarm_status']=='Warning'){

            $currAlarm = "Evaporator System Warning";
            array_push($alarmList, $currAlarm);

        }else if($this->updateData['alarm_status']=='Shutdown'){
            $currAlarm = "Evaporator System Shutdown";
            array_push($alarmList, $currAlarm);
        }

        return $alarmList;
    }

	private function parse_alarms_en (){

        $alarmList = array();

        if($this->updateData['alarm_status']=='Warning'){

            $currAlarm = "Engine Room Warning";
            array_push($alarmList, $currAlarm);

        }else if($this->updateData['alarm_status']=='Alarm'){
            $currAlarm = "Engine Room Shutdown";
            array_push($alarmList, $currAlarm);
        }

        return $alarmList;
    }

    private function parse_alarms_acu(){

        $alarmList = array();

        $message = trim($this->updateData['alarm_message']);

        $alarms = explode("\n", $message);

        foreach ($alarms as $alarm){

                array_push($alarmList, $alarm);

        }

        return $alarmList;
    }

    private function parse_alarms_cv ()
    {
        $alarmList = array();
        $cond_alarm = (($this->updateData['condenser_alarm_status']=='Warning')||($this->updateData['condenser_alarm_status']=='Alarm')) ? true:false;
        $v1_alarm = (($this->updateData['vessel_1_alarm_status']=='Warning')||($this->updateData['vessel_1_alarm_status']=='Alarm')) ? true:false;
        $v2_alarm = (($this->updateData['vessel_2_alarm_status']=='Warning')||($this->updateData['vessel_2_alarm_status']=='Alarm')) ? true:false;
        $v3_alarm = (($this->updateData['vessel_3_alarm_status']=='Warning')||($this->updateData['vessel_3_alarm_status']=='Alarm')) ? true:false;


        if ($v3_alarm) {
            $currAlarm = "Vessel 3: ".$this->updateData['vessel_3_alarm_message'];
            array_push($alarmList, $currAlarm);
        }
        if ($v2_alarm) {
            $currAlarm = "Vessel 2: ".$this->updateData['vessel_2_alarm_message'];
            array_push($alarmList, $currAlarm);
        }
        if ($v1_alarm) {
            $currAlarm = "Vessel 1: ".$this->updateData['vessel_1_alarm_message'];
            array_push($alarmList, $currAlarm);
        }
        if($cond_alarm) {
            $currAlarm = "Condenser: ".$this->updateData['condenser_alarm_message'];
            array_push($alarmList, $currAlarm);
        }

        return $alarmList;

    }

	
	private function parse_alarms ()
	{

        $handle = @fopen("/cache/alarms.txt", "r");

        if ($handle) {
            $lines = array();
			$currentLine = 0;
            while (($line = fgets($handle, 4096)) !== false && $currentLine < 5) {
				$line = str_replace("\n", '', $line);
				$line = trim($line);
                                $lineParts = explode(',', $line);
                                
                                if ($lineParts[2] == 0) {//if the alarm is uncleared
					$lineParts[0] = DisplayText::read($lineParts[0]);
				
                                        $lineParts[1] = date('Y-m-d H:i:s', $lineParts[1]);
                                        array_push($lines, $lineParts);

                                        $currentLine++;
				}
				
            }

            fclose($handle);
            return $lines;
        }		
	}		
}

?>