-- MySQL dump 10.13  Distrib 5.5.23, for Linux (i686)
--
-- Host: localhost    Database: sip
-- ------------------------------------------------------
-- Server version	5.5.23

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `acuair_info`
--

DROP TABLE IF EXISTS `acuair_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acuair_info` (
  `panel_id` int(10) unsigned NOT NULL,
  `last_updated` datetime DEFAULT NULL,
  `setpoint` varchar(255) DEFAULT NULL,
  `temperature` varchar(255) DEFAULT NULL,
  `mode` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `alarm_status` varchar(255) DEFAULT NULL,
  `alarm_message` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`panel_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acuair_info`
--

LOCK TABLES `acuair_info` WRITE;
/*!40000 ALTER TABLE `acuair_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `acuair_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alarms`
--

DROP TABLE IF EXISTS `alarms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alarms` (
  `inc` int(10) unsigned NOT NULL,
  `panel_id` int(10) unsigned NOT NULL,
  `message` varchar(255) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  PRIMARY KEY (`inc`,`panel_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alarms`
--

LOCK TABLES `alarms` WRITE;
/*!40000 ALTER TABLE `alarms` DISABLE KEYS */;
/*!40000 ALTER TABLE `alarms` ENABLE KEYS */;
UNLOCK TABLES;



DROP TABLE IF EXISTS `engine_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_info` (
  `panel_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `last_updated` datetime DEFAULT NULL,
  `alarm_status` varchar(255) DEFAULT NULL,
  `alarm_message` varchar(255) DEFAULT NULL,
  `setpoint` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`panel_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

--
-- Table structure for table `compressor_info`
--

DROP TABLE IF EXISTS `compressor_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `compressor_info` (
  `panel_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `suction_pressure` varchar(255) DEFAULT NULL,
  `suction_temperature` varchar(255) DEFAULT NULL,
  `suction_superheat` varchar(255) DEFAULT NULL,
  `discharge_pressure` varchar(255) DEFAULT NULL,
  `discharge_temperature` varchar(255) DEFAULT NULL,
  `discharge_superheat` varchar(255) DEFAULT NULL,
  `oil_pressure` varchar(255) DEFAULT NULL,
  `oil_temperature` varchar(255) DEFAULT NULL,
  `seperator_temperature` varchar(255) DEFAULT NULL,
  `filter_differential` varchar(255) DEFAULT NULL,
  `capacity` varchar(255) DEFAULT NULL,
  `setpoint` varchar(255) DEFAULT NULL,
  `alarm_status` varchar(255) DEFAULT NULL,
  `alarm_message` varchar(255) DEFAULT NULL,
  `motor_current` varchar(255) DEFAULT NULL,
  `recycle_delay_timer` varchar(255) DEFAULT NULL,
  `percent_of_full_load_amps` varchar(255) DEFAULT NULL,
  `run_hours` varchar(255) DEFAULT NULL,
  `displayed_kilowatts` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `last_updated` datetime DEFAULT NULL,
  PRIMARY KEY (`panel_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compressor_info`
--

LOCK TABLES `compressor_info` WRITE;
/*!40000 ALTER TABLE `compressor_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `compressor_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `condenser_vessel_info`
--

DROP TABLE IF EXISTS `condenser_vessel_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `condenser_vessel_info` (
  `panel_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `last_updated` datetime DEFAULT NULL,
  `condenser_setpoint` varchar(255) DEFAULT NULL,
  `condenser_pressure` varchar(255) DEFAULT NULL,
  `condenser_steps` varchar(255) DEFAULT NULL,
  `condenser_temp` varchar(255) DEFAULT NULL,
  `condenser_vfd` varchar(255) DEFAULT NULL,
  `condenser_alarm_status` varchar(255) DEFAULT NULL,
  `condenser_alarm_message` varchar(255) DEFAULT NULL,
  `vessel_1_pumps` varchar(255) DEFAULT NULL,
  `vessel_1_level` varchar(255) DEFAULT NULL,
  `vessel_1_pressure` varchar(255) DEFAULT NULL,
  `vessel_1_alarm_status` varchar(255) DEFAULT NULL,
  `vessel_1_alarm_message` varchar(255) DEFAULT NULL,
  `vessel_2_pumps` varchar(255) DEFAULT NULL,
  `vessel_2_level` varchar(255) DEFAULT NULL,
  `vessel_2_pressure` varchar(255) DEFAULT NULL,
  `vessel_2_alarm_status` varchar(255) DEFAULT NULL,
  `vessel_2_alarm_message` varchar(255) DEFAULT NULL,
  `vessel_3_pumps` varchar(255) DEFAULT NULL,
  `vessel_3_level` varchar(255) DEFAULT NULL,
  `vessel_3_pressure` varchar(255) DEFAULT NULL,
  `vessel_3_alarm_status` varchar(255) DEFAULT NULL,
  `vessel_3_alarm_message` varchar(255) DEFAULT NULL,
  `alarm_status` varchar(255) DEFAULT NULL,
  `alarm_message` varchar(255) DEFAULT NULL,
  `vessel_levels` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`panel_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `condenser_vessel_info`
--

LOCK TABLES `condenser_vessel_info` WRITE;
/*!40000 ALTER TABLE `condenser_vessel_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `condenser_vessel_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `evaporator_info`
--

DROP TABLE IF EXISTS `evaporator_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `evaporator_info` (
  `panel_id` int(10) unsigned NOT NULL,
  `last_updated` datetime DEFAULT NULL,
  `active_zones` varchar(255) DEFAULT NULL,
  `alarm_status` varchar(255) DEFAULT NULL,
  `alarm_message` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`panel_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `evaporator_info`
--

LOCK TABLES `evaporator_info` WRITE;
/*!40000 ALTER TABLE `evaporator_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `evaporator_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `events`
--

DROP TABLE IF EXISTS `events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `events` (
  `inc` int(10) unsigned NOT NULL,
  `panel_id` int(10) unsigned NOT NULL,
  `message` varchar(255) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  PRIMARY KEY (`inc`,`panel_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `events`
--

LOCK TABLES `events` WRITE;
/*!40000 ALTER TABLE `events` DISABLE KEYS */;
/*!40000 ALTER TABLE `events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `panels`
--

DROP TABLE IF EXISTS `panels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `panels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `ip_address` varchar(255) DEFAULT NULL,
  `web_server_port` int(10) DEFAULT NULL,
  `platform_id` int(10) unsigned DEFAULT NULL,
  `type_id` int(10) unsigned DEFAULT NULL,
  `sort` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `platform_id` (`platform_id`),
  KEY `type_id` (`type_id`),
  CONSTRAINT `panels_ibfk_1` FOREIGN KEY (`platform_id`) REFERENCES `platforms` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `panels_ibfk_2` FOREIGN KEY (`type_id`) REFERENCES `types` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `panels`
--

LOCK TABLES `panels` WRITE;
/*!40000 ALTER TABLE `panels` DISABLE KEYS */;
/*!40000 ALTER TABLE `panels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `panels_tags`
--

DROP TABLE IF EXISTS `panels_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `panels_tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `panel_id` int(10) unsigned DEFAULT NULL,
  `tag_id` int(10) unsigned DEFAULT NULL,
  `tag_sort` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `panel_id` (`panel_id`),
  KEY `tag_id` (`tag_id`),
  KEY `tag_sort` (`tag_sort`),
  CONSTRAINT `panels_tags_ibfk_1` FOREIGN KEY (`panel_id`) REFERENCES `panels` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `panels_tags_ibfk_2` FOREIGN KEY (`tag_id`) REFERENCES `tags` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `panels_tags`
--

LOCK TABLES `panels_tags` WRITE;
/*!40000 ALTER TABLE `panels_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `panels_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `platforms`
--

DROP TABLE IF EXISTS `platforms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `platforms` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `platforms`
--

LOCK TABLES `platforms` WRITE;
/*!40000 ALTER TABLE `platforms` DISABLE KEYS */;
INSERT INTO `platforms` VALUES (1,'HD'),(2,'LX'),(3, 'HD Unity');
/*!40000 ALTER TABLE `platforms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(255) DEFAULT NULL,
  `key` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,'network','ip_address','10.116.4.249'),(2,'network','gateway_address','192.168.0.1'),(3,'network','subnet','255.255.0.0'),(4,'system','name','System Interface Panel'),(5,'system','software_version','2.0'),(6,'system','software_release','8/15/2013');
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `types`
--

DROP TABLE IF EXISTS `types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `data_table` varchar(255) DEFAULT NULL,
  `field_1` varchar(255) DEFAULT NULL,
  `field_1_label` varchar(255) DEFAULT NULL,
  `field_2` varchar(255) DEFAULT NULL,
  `field_2_label` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `types`
--

LOCK TABLES `types` WRITE;
/*!40000 ALTER TABLE `types` DISABLE KEYS */;
INSERT INTO `types` VALUES (1,'Compressor','compressor_info','suction_pressure','Suction','discharge_pressure','Discharge'),(2,'Evaporator','evaporator_info','alarm_status','Status','active_zones','Zones Active'),(3,'CondenserVessel','condenser_vessel_info','condenser_pressure','Pressure','vessel_levels','Levels(%)'),(4,'AcuAir','acuair_info','setpoint','Setpoint','temperature','Temperature'),(5,'EngineRoom','engine_info','alarm_status','Status','setpoint','Setpoint');
/*!40000 ALTER TABLE `types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `pin` int(10) DEFAULT NULL,
  `lx_user_type` int(10) DEFAULT NULL,
  `hd_user_type` int(10) DEFAULT NULL,
  `super` int(10) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'Basic User',1,0,0,0),(2,'Operator User',2,1,1,0),(3,'Service User',3,2,2,0);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-07-12 17:07:52
