<?php
require_once '/var/sip/scripts/classes/display_text.php';
class Panel_Model extends MY_Model {
//	protected $after_delete = array('delete_panel_post_data','writeback_db');
//      protected $after_update = array('writeback_db');
//      protected $after_create = array('writeback_db');
	protected $_table = 'panels';
	protected $after_get = array('type_prep');
        protected $after_delete = array('delete_panel_post_data');
        protected $before_delete = array('delete_panel_pre_data');
        protected $before_update = array('delete_data_pre_update');

	function __construct()
	{
		parent::__construct();
		$this->mainDB = $this->load->database('default', TRUE);
		
		$this->load->model('Platform_model', 'platform');
		$this->load->model('Type_model', 'type');
		//$this->load->model('Event_model', 'event');
		$this->load->model('Alarm_model', 'alarm');
                $this->load->model('Panel_Tag_model', 'panel_tag');
                
	}
	
	function remove_prep()
	{
		unset($this->after_get[1]);
	}
	
	function getData($id)
	{
		$panel = $this->get($id);
		$data = $this->mainDB->query("SELECT * FROM {$panel->type->data_table} WHERE panel_id=$id")->row();
		if(empty($data)) return null;
		$this->set_elements_class($data);
		$this->set_running_status_icon($panel->type_id,$data);
		$this->set_machine_type($panel->type_id,$data);
		$data->events = null;//$this->event->get_many_by(array('panel_id' => $panel->id));
		$data->alarms = $this->alarm->get_many_by(array('panel_id' => $panel->id));
		
		return $data;
	}
	
	function save($data)
	{
		if (empty($data['address'])) {
			return false;
		}
		$id = $this->findPanelByAddress($data['address']);
		
		$data = array(
				'name' => $data['name'],
				'ip_address' => $data['address'],
				'web_server_port' => $data['port'],
				'platform_id' => $data['type'] == 'HD' ? 1 : 2,
				'type_id' => '1',
		);
		
		if (!$id) {
			$this->mainDB->insert('panels', $data);		
		} else {
			$this->mainDB->where('id', $id);
			$this->mainDB->update('panels', $data);
		}
		
		return true;
	}
	
	private function findPanelByAddress ($address)
	{
		$query = $this->mainDB->query("SELECT id FROM panels WHERE ip_address=".$this->mainDB->escape($address)."");
		$numRows = $query->num_rows();
		
		if ($numRows <= 0) {
			return false;
		}
		
		$row = $query->row();
		return $row->id;
	}
	
	public function type_prep ($panel)
	{
            if( $panel->platform_id && $panel->type_id) {
		$panel->platform = $this->platform->get($panel->platform_id);
		$panel->type = $this->type->get($panel->type_id);
            }
		return $panel;
	}
	
        public function delete_data_pre_update ($updateData,$panelID)
        {
            $panel = $this->get($panelID);
            if(!empty($panel)&&count($updateData)>1) {
                $this->mainDB->query("DELETE FROM {$panel->type->data_table} WHERE panel_id=$panelID");
                $this->alarm->delete_by(array('panel_id' => $panelID));
            }
            return $updateData;
        }
        
        public function delete_panel_pre_data ($panelID)
        {
            $panel = $this->get($panelID);
            if(!empty($panel)) {
                $this->mainDB->query("DELETE FROM {$panel->type->data_table} WHERE panel_id=$panelID");
            }
        }
        
        public function delete_panel_post_data ($panelID)
        {
                $this->panel_tag->delete_by(array('panel_id' => $panelID));
                $this->alarm->delete_by(array('panel_id' => $panelID));
                //$this->event->delete_by(array('panel_id' => $panelID));
        }
        
	protected function set_elements_class($data)
	{
		if (empty($data)) {
			return false;
		}

		switch(strtolower($data->alarm_status)) {
                    case 'warning':
                            $data->indicator_class = 'indicator';
                            $data->message_class = 'alert';
                            break;
                    case 'normal':
                            $data->indicator_class = 'indicator indicator-success';
                            $data->message_class = 'alert';
                            break;
                    case 'shutdown':
                            $data->indicator_class = 'indicator indicator-error';
                            $data->message_class = 'alert';
                            break;
                    case 'alarm':
                            $data->indicator_class = 'indicator indicator-error';
                            $data->message_class = 'alert';
                            break;
                    default:
                            $data->indicator_class = 'indicator indicator-error';
                            $data->message_class = 'alert alert-error';
                            break;
		}
		
		return true;
	}
        
        protected function set_running_status_icon($type,$data)
	{
		if (empty($data)) {
			return false;
		}
		if (($type==2)||($type==3 || ($type==5))) {//evap and condv
					$data->running_status_icon = '';
		} else {        
			switch(strtolower($data->status)) {
                            //panel off
                            case 1:
                                    $data->running_status_icon = 'icon-off icon-large';
                                    break;
                            //panel not connected
                            case 2:
                                    $data->running_status_icon = 'icon-cog icon-spin icon-large';
                                    break;
                            //panel running
                            default:
                                    $data->running_status_icon = '';
                                    break;
								
			}
		}
		return true;
	}
        
        protected function set_machine_type($type,$data)
	{
		if (empty($data)) {
                    return false;
		}
		if ($type==3) {//condv
                    $cond_state = (empty($data->condenser_alarm_status)) ? 0:1;
                    $v1_state = (empty($data->vessel_1_alarm_status)) ? 0:1;
                    $v2_state = (empty($data->vessel_2_alarm_status)) ? 0:1;
                    $v3_state = (empty($data->vessel_3_alarm_status)) ? 0:1;
                    $sum_state = $cond_state + $v1_state + $v2_state + $v3_state;
                        
                    if (($sum_state>=1)&&($cond_state==0)) {//atleast one vessel is active but condensor is inactive
                        $data->field_1 = "alarm_status";
                        $data->field_1_label = "Status";
                        $data->name = "Vessel";
                    } else if (($cond_state==1)&&($sum_state==1)){//only condensor active         
                        $data->field_2 = "condenser_setpoint";
                        $data->field_2_label = "Setpoint";
                        $data->name = "Condenser";
                    }
                    $data->sum_state = $sum_state;
                }
	}
}