<div class="<?php echo $data->message_class; ?>">
	<?php echo $data->alarm_message; ?>
</div>
<hr />
<h2><?php echo $panel->name; ?></h2>
<h3><?php echo $panel->ip_address; ?></h3>
<h3><small>Last Updated: <span class="data" data-element="last_updated"><?php echo date('m/d/Y h:i:s a', strtotime($data->last_updated)); ?></span></small></h3>
<hr />
<div class="row-fluid">
	<div class="span6">
		<h3>System Operating Values</h3>
		<table class="table table-bordered table-striped table-condensed">
			<thead>
				<tr>
					<th width="100%">&nbsp;</th>
					<th>Pressure</th>
					<th>Temperature</th>
					<th>Superheat</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Suction</td>
					<td nowrap="nowrap"><span class="data" data-element="suction_pressure"><?php echo $data->suction_pressure; ?></span></td>
					<td><span class="data" data-element="suction_temperature"><?php echo $data->suction_temperature; ?></span></td>
					<td><span class="data" data-element="suction_superheat"><?php echo $data->suction_superheat; ?></span></td>
				</tr>
				<tr>
					<td>Discharge</td>
					<td nowrap="nowrap"><span class="data" data-element="discharge_pressure"><?php echo $data->discharge_pressure; ?></span></td>
					<td><span class="data" data-element="discharge_temperature"><?php echo $data->discharge_temperature; ?></span></td>
					<td><span class="data" data-element="discharge_superheat"><?php echo $data->discharge_superheat; ?></span></td>
				</tr>
				<tr>
					<td>Oil</td>
					<td nowrap="nowrap"><span class="data" data-element="oil_pressure"><?php echo $data->oil_pressure; ?></span></td>
					<td><span class="data" data-element="oil_temperature"><?php echo $data->oil_temperature; ?></span></td>
					<td>&nbsp;</td>
				</tr>		
				<tr>
					<td>Seperator</td>
					<td>&nbsp;</td>
					<td><span class="data" data-element="seperator_temperature"><?php echo $data->seperator_temperature; ?></span></td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>Differential</td>
					<td nowrap="nowrap"><span class="data" data-element="filter_differential"><?php echo $data->filter_differential; ?></span></td>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				</tr>										
			</tbody>
		</table>	
		<table class="table table-bordered table-striped table-condensed">
			<tbody>
				<tr>
					<td>Motor Amps</td>
					<td><span class="data" data-element="motor_current"><?php echo $data->motor_current; ?></span></td>
					<td>Motor Recycle Delay</td>
					<td><span class="data" data-element="recycle_delay_timer"><?php echo $data->recycle_delay_timer; ?></span></td>
				</tr>
				<tr>
					<td>Motor % FLA</td>
					<td><span class="data" data-element="percent_of_full_load_amps"><?php echo $data->percent_of_full_load_amps; ?></span></td>
					<td>Motor Run Hours</td>
					<td><span class="data" data-element="run_hours"><?php echo $data->run_hours; ?></span></td>
				</tr>
				<tr>
					<td>Motor Kilowatts Est.</td>
					<td><span class="data" data-element="displayed_kilowatts"><?php echo $data->displayed_kilowatts; ?></span></td>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				</tr>								
			</tbody>
		</table>
	</div>
	<div class="span6">
		<h3>Events</h3>
		<table class="table table-bordered table-striped table-condensed">
			<?php foreach ($data->events as $event): ?>
				<tr>
					<td><?php echo $event->date; ?></td>
					<td><?php echo $event->message; ?></td>
				</tr>
			<?php endforeach; ?>
		</table>
		
		<h3>Alarms</h3>
		<table class="table table-bordered table-striped table-condensed">
			<?php foreach ($data->alarms as $alarm): ?>
				<tr>
					<td>
						<h4><?php echo $alarm->message; ?></h4>
						<?php echo $alarm->date; ?>
						<?php if ($alarm->cleared_date): ?>
							 - Cleared at: <?php echo $alarm->cleared_date; ?>
						<?php endif; ?>						
					</td>
				</tr>
			<?php endforeach; ?>
		</table>		
	</div>
</div>

<a href="/panels/index" class="btn btn-info btn-large back-to-list">Back to List</a>
<a href="/panels/access/<?php echo $panel->id; ?>" class="btn btn-success btn-large">Access Panel</a>
<a href="/panels/tags/<?php echo $panel->id; ?>" class="btn btn-info btn-large">Manage Tags</a>
<a href="/panels/edit/<?php echo $panel->id; ?>" class="btn btn-info btn-large">Modify Panel</a>

<script type="text/javascript">
	if (typeof(startLoadingPanelData) != "function") {
		function startLoadingPanelData(id)
		{
			dataInterval = setInterval(function(){
				$.getJSON("/index.php?/panels/data/"+id, function(response){
                    var data = response.data;
					$.each(data.data, function(key, value){
						$('span.data[data-element="'+key+'"]').html(value);
					});
				});
			}, 2000);		
		}
		
		startLoadingPanelData(<?php echo $panel->id; ?>);
	}
</script>